MyGUI::RenderManager Class Referenceabstract

`#include <MyGUI_RenderManager.h>`

## Public Member Functions

| RenderManager (const RenderManager &)=delete
RenderManager & | operator= (const RenderManager &)=delete
| RenderManager ()
virtual | ~RenderManager ()=default
virtual IVertexBuffer * | createVertexBuffer ()=0
virtual void | destroyVertexBuffer (IVertexBuffer *_buffer)=0
virtual ITexture * | createTexture (const std::string &_name)=0
virtual void | destroyTexture (ITexture *_texture)=0
virtual ITexture * | getTexture (const std::string &_name)=0
virtual const IntSize & | getViewSize () const =0
virtual VertexColourType | getVertexFormat () const =0
virtual bool | isFormatSupported (PixelFormat _format, TextureUsage _usage)
virtual void | setViewSize (int _width, int _height)=0
virtual void | registerShader (const std::string &_shaderName, const std::string &_vertexProgramFile, const std::string &_fragmentProgramFile)=0
virtual bool | checkTexture (ITexture *_texture)

## Static Public Member Functions

static RenderManager & | getInstance ()
static RenderManager * | getInstancePtr ()
static std::string_view | getClassTypeName ()

## Protected Member Functions

virtual void | onResizeView (const IntSize &_viewSize)
virtual void | onRenderToTarget (IRenderTarget *_target, bool _update)
virtual void | onFrameEvent (float _time)

## Detailed Description

Definition at line 20 of file MyGUI_RenderManager.h.

## Constructor & Destructor Documentation

## RenderManager() [1/2]

MyGUI::RenderManager::RenderManager | ( | const RenderManager & |  | ) |

delete

## RenderManager() [2/2]

MyGUI::RenderManager::RenderManager | ( |  | ) |

Definition at line 17 of file MyGUI_RenderManager.cpp.

## ~RenderManager()

virtual MyGUI::RenderManager::~RenderManager | ( |  | ) |

virtual default

## Member Function Documentation

## checkTexture()

bool MyGUI::RenderManager::checkTexture | ( | ITexture * | _texture | ) |

virtual

Check if texture is valid, used only in debug build

Definition at line 27 of file MyGUI_RenderManager.cpp.

## createTexture()

virtual ITexture * MyGUI::RenderManager::createTexture | ( | const std::string & | _name | ) |

pure virtual

Create empty texture instance

## createVertexBuffer()

virtual IVertexBuffer * MyGUI::RenderManager::createVertexBuffer | ( |  | ) |

pure virtual

Create vertex buffer. This method should create vertex buffer with triangles list type, each vertex have position, colour, texture coordinates.

## destroyTexture()

virtual void MyGUI::RenderManager::destroyTexture | ( | ITexture * | _texture | ) |

pure virtual

Destroy texture

## destroyVertexBuffer()

virtual void MyGUI::RenderManager::destroyVertexBuffer | ( | IVertexBuffer * | _buffer | ) |

pure virtual

Destroy vertex buffer

## getClassTypeName()

std::string_view MyGUI::RenderManager::getClassTypeName | ( |  | ) |

static

## getInstance()

RenderManager & MyGUI::RenderManager::getInstance | ( |  | ) |

static

## getInstancePtr()

RenderManager * MyGUI::RenderManager::getInstancePtr | ( |  | ) |

static

## getTexture()

virtual ITexture * MyGUI::RenderManager::getTexture | ( | const std::string & | _name | ) |

pure virtual

Get texture by name

## getVertexFormat()

virtual VertexColourType MyGUI::RenderManager::getVertexFormat | ( |  | ) | const

pure virtual

Get current vertex colour type

## getViewSize()

virtual const IntSize & MyGUI::RenderManager::getViewSize | ( |  | ) | const

pure virtual

## isFormatSupported()

bool MyGUI::RenderManager::isFormatSupported | ( | PixelFormat | _format,
|  | TextureUsage | _usage )

virtual

Check if texture format supported by hardware

Definition at line 22 of file MyGUI_RenderManager.cpp.

## onFrameEvent()

void MyGUI::RenderManager::onFrameEvent | ( | float | _time | ) |

protected virtual

Definition at line 46 of file MyGUI_RenderManager.cpp.

## onRenderToTarget()

void MyGUI::RenderManager::onRenderToTarget | ( | IRenderTarget * | _target,
|  | bool | _update )

protected virtual

Definition at line 39 of file MyGUI_RenderManager.cpp.

## onResizeView()

void MyGUI::RenderManager::onResizeView | ( | const IntSize & | _viewSize | ) |

protected virtual

Definition at line 32 of file MyGUI_RenderManager.cpp.

## operator=()

RenderManager & MyGUI::RenderManager::operator= | ( | const RenderManager & |  | ) |

delete

## registerShader()

virtual void MyGUI::RenderManager::registerShader | ( | const std::string & | _shaderName,
|  | const std::string & | _vertexProgramFile,
|  | const std::string & | _fragmentProgramFile )

pure virtual

Register shader, that can set with ITexture::setShader. Registering "Default" shader would change main shader, used for all textures without shader.

## setViewSize()

virtual void MyGUI::RenderManager::setViewSize | ( | int | _width,
|  | int | _height )

pure virtual

Set render view size. Should be called on every window resize

The documentation for this class was generated from the following files:

- MyGUI_RenderManager.h
- MyGUI_RenderManager.cpp